// --------------------------------------------------------
// Copyright (c)
//
// contributions by Ansgar
//                  ansgar.radermacher@cea.fr
// maintained by    CEA LIST
//                  info-list@cea.fr

// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#define addServerCompdef_AddServer_BODY

/************************************************************
 AddServer class body
 ************************************************************/

// include associated header file
#include "addServerCompdef/AddServer.h"

// Derived includes directives
#include "addServerCompdef/AddServer_impl.h"
#include "addServerCompdef/AddServer_main.h"
#include "rclcpp/rclcpp.hpp"

namespace addServerCompdef {

// static attributes (if any)

/**
 * 
 * @param options 
 */
AddServer::AddServer(rclcpp::NodeOptions /*in*/options) :
    rclcpp_lifecycle::LifecycleNode("AddServer", options) {
  cbg_AddServer_ = create_callback_group(
      rclcpp::CallbackGroupType::MutuallyExclusive);

  addSvc_srv_ =
      create_service < simple_msgs::srv::AddServiceDef
          > ("addSvc", std::bind(&addServerCompdef::AddServer_impl::fAdder,
              (AddServer_impl*) this, std::placeholders::_1,
              std::placeholders::_2), rmw_qos_profile_default, cbg_AddServer_);

}

} // of namespace addServerCompdef

/************************************************************
 End of AddServer class body
 ************************************************************/
